2023-10-27  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Prepare for release.
	* NEWS: Set release date to today (2023-10-27).

2023-10-24  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump aarch32 to jdk8u392-ga-aarch32-20231020
	* hotspot.map.in: Bump aarch32 to
	jdk8u392-ga-aarch32-20231020

2023-10-24  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump shenandoah to shenandoah-jdk8u392-b08.
	* hotspot.map.in: Bump shenandoah to
	shenandoah-jdk8u392-b08.

2023-10-24  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump to icedtea-3.29.0.
	* Makefile.am:
	(OPENJDK_CHANGESET): Update to icedtea-3.29.0 tag.
	(OPENJDK_SHA256SUM): Likewise.
	* NEWS: Updated.
	* acinclude.m4:
	(IT_DETERMINE_VERSION): Set JDK_UPDATE_VERSION
	to 392 and BUILD_VERSION to b08.
	* configure.ac: Bump to 3.29.0.

2023-10-24  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Start 3.29.0 release cycle.
	* NEWS: Add 3.29.0 section.
	* configure.ac: Bump to 3.29.0pre00.

2023-07-28  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Prepare for release.
	* NEWS: Set release date to today (2023-07-28).

2023-07-27  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump aarch32 to jdk8u382-ga-aarch32-20230719
	* hotspot.map.in: Bump aarch32 to
	jdk8u382-ga-aarch32-20230719

2023-07-27  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump shenandoah to shenandoah-jdk8u382-b05.
	* hotspot.map.in: Bump shenandoah to
	shenandoah-jdk8u382-b05.

2023-07-27  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump to icedtea-3.28.0.
	* Makefile.am:
	(OPENJDK_CHANGESET): Update to icedtea-3.28.0 tag.
	(OPENJDK_SHA256SUM): Likewise.
	* NEWS: Updated.
	* acinclude.m4:
	(IT_DETERMINE_VERSION): Set JDK_UPDATE_VERSION
	to 382 and BUILD_VERSION to b05.
	* configure.ac: Bump to 3.28.0.

2023-04-29  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Start 3.28.0 release cycle.
	* NEWS: Add 3.28.0 section.
	* configure.ac: Bump to 3.28.0pre00.

2023-04-28  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Prepare for release.
	* NEWS: Set release date to today (2023-04-28).

2023-04-28  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump aarch32 to jdk8u372-ga-aarch32-20230426
	* hotspot.map.in: Bump aarch32 to
	jdk8u372-ga-aarch32-20230426

2023-04-28  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump shenandoah to shenandoah-jdk8u372-b07.
	* hotspot.map.in: Bump shenandoah to
	shenandoah-jdk8u372-b07.

2023-04-28  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump to icedtea-3.27.0.
	* Makefile.am:
	(OPENJDK_CHANGESET): Update to icedtea-3.27.0 tag.
	(OPENJDK_SHA256SUM): Likewise.
	* NEWS: Updated.
	* acinclude.m4:
	(IT_DETERMINE_VERSION): Set JDK_UPDATE_VERSION
	to 372 and BUILD_VERSION to b07.
	* configure.ac: Bump to 3.27.0.

2023-02-06  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Start 3.27.0 release cycle.
	* NEWS: Add 3.27.0 section.
	* configure.ac: Bump to 3.27.0pre00.

2023-02-06  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Prepare for release.
	* NEWS: Set release date to today (2023-02-06).
	Mention check-aes change.

2023-02-03  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump aarch32 to jdk8u362-ga-aarch32-20230119
	* NEWS: Updated
	* hotspot.map.in: Bump aarch32 to
	jdk8u362-ga-aarch32-20230119

2023-02-01  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump shenandoah to shenandoah-jdk8u362-b09.
	* hotspot.map.in: Bump shenandoah to
	shenandoah-jdk8u362-b09.

2023-02-01  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump to icedtea-3.26.0.
	* Makefile.am:
	(OPENJDK_CHANGESET): Update to icedtea-3.26.0 tag.
	(OPENJDK_SHA256SUM): Likewise.
	* NEWS: Updated.
	* acinclude.m4:
	(IT_DETERMINE_VERSION): Set JDK_UPDATE_VERSION
	to 362 and BUILD_VERSION to b09.
	* autogen.sh: Allow autoconf versions of the
	form 2.7[0-9]*
	* configure.ac: Bump to 3.26.0. Explicitly
	request grep, install and mkdir -p (grep check
	is not automatically included with autoconf 2.71)

2022-11-28  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* Makefile.am:
	(check-aes): Don't run on Zero assembler builds
	which take forever and have no intrinsics anyway.

2022-11-25  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Start 3.26.0 release cycle.
	* NEWS: Add 3.26.0 section. Correct
	version on last section to 3.25.0.
	* configure.ac: Bump to 3.26.0pre00.

2022-11-24  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Prepare for release.
	* NEWS: Set release date to today (2022-11-24).

2022-11-24  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump aarch32 to jdk8u352-ga-aarch32-20221020
	* NEWS: Updated
	* hotspot.map.in: Bump aarch32 to
	jdk8u352-ga-aarch32-20221020

2022-11-21  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump shenandoah to shenandoah-jdk8u352-b08.
	* hotspot.map.in: Bump shenandoah to
	shenandoah-jdk8u352-b08.
	* scripts/create_tarballs.sh: Enable
	interpretation of backslash escapes so
	indentation appears.

2022-11-21  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump to icedtea-3.25.0.
	* Makefile.am:
	(OPENJDK_CHANGESET): Update to icedtea-3.25.0 tag.
	(OPENJDK_SHA256SUM): Likewise.
	* NEWS: Updated.
	* acinclude.m4:
	(IT_DETERMINE_VERSION): Set JDK_UPDATE_VERSION
	to 352 and BUILD_VERSION to b08.
	* configure.ac: Bump to 3.25.0.

2022-08-02  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Prepare for release.
	* NEWS: Set release date to today (2022-08-02).

2022-08-01  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bring in 8u345 interim release.
	* Makefile.am:
	(OPENJDK_CHANGESET): Update to new icedtea-3.24.0 tag.
	(OPENJDK_SHA256SUM): Likewise.
	* NEWS: Updated.
	* acinclude.m4:
	(IT_DETERMINE_VERSION): Set JDK_UPDATE_VERSION
	to 345 and BUILD_VERSION to b01.

2022-07-27  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump aarch32 to jdk8u342-ga-aarch32-20220725
	* hotspot.map.in: Bump aarch32 to
	jdk8u342-ga-aarch32-20220725

2022-07-26  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump shenandoah to shenandoah-jdk8u342-b07.
	* NEWS: Updated.
	* hotspot.map.in: Bump shenandoah to
	shenandoah-jdk8u342-b07.

2022-07-25  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump to icedtea-3.24.0.
	* Makefile.am:
	(OPENJDK_CHANGESET): Update to icedtea-3.24.0 tag.
	(OPENJDK_SHA256SUM): Likewise.
	* NEWS: Updated.
	* acinclude.m4:
	(IT_DETERMINE_VERSION): Set JDK_UPDATE_VERSION
	to 342 and BUILD_VERSION to b07.
	* configure.ac: Bump to 3.24.0.

2022-06-28  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Prepare for release.
	* NEWS: Set release date to today (2022-06-28).

2022-06-25  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump aarch32 to jdk8u332-ga-aarch32-20220422 aarch32
	* hotspot.map.in: Bump aarch32 to
	jdk8u332-ga-aarch32-20220422 aarch32

2022-06-25  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump shenandoah to shenandoah-jdk8u332-b09.
	* NEWS: Updated.
	* hotspot.map.in: Bump shenandoah to
	shenandoah-jdk8u332-b09.
	* scripts/create_tarballs.sh: Adjust
	script to also recognise new tags without
	the 'aarch64-' prefix.

2022-06-25  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump to icedtea-3.23.0.
	* Makefile.am:
	(OPENJDK_CHANGESET): Update to icedtea-3.23.0 tag.
	(OPENJDK_SHA256SUM): Likewise.
	* NEWS: Updated. Support GitHub issues.
	* acinclude.m4:
	(IT_DETERMINE_VERSION): Set JDK_UPDATE_VERSION
	to 332 and BUILD_VERSION to b09.
	* configure.ac: Bump to 3.23.0.
	* scripts/find_existing_items_one_file.sh:
	Import my script used to find duplicate bug items
	in NEWS file.
	* scripts/gen_changeset_and_sha256sums.sh:
	Restore handling of main repository accidentally
	removed in prior commit when adding support
	for alternate HotSpot builds based in git.
	* scripts/list_openjdk_changes.sh: Include
	GitHub issues from the log and ensure the IDs
	are always three digits long.

2022-03-04  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Prepare for release.
	* NEWS: Set release date to today (2022-03-04).

2022-03-03  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* Makefile.am:
	(download-hotspot): Only download for alternative
	HotSpot builds (i.e. not "default") and use the "-git"
	suffix on the URL.

2022-03-03  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* scripts/list_openjdk_changes.sh:
	Only list changes from the HotSpot subdirectory
	for the HotSpot builds.

2022-03-03  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump aarch32 to jdk8u322-ga-aarch32-20220131.
	* patches/hotspot/aarch32/8130183-cpu-202110.patch,
	* patches/hotspot/aarch32/8269624-cpu-202110.patch,
	* patches/hotspot/aarch32/8270398-cpu-202110.patch,
	* patches/hotspot/aarch32/8270404-cpu-202110.patch:
	Remove security patches from last release which
	are now upstream.
	* Makefile.am:
	(ICEDTEA_PATCHES): Removed above patches.
	* hotspot.map.in: Bump aarch32 to
	jdk8u322-ga-aarch32-20220131

2022-03-03  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* scripts/list_openjdk_changes.sh:
	Update script to handle committed
	changes. Fix wrong ID used for HotSpot
	builds.

2022-03-02  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump shenandoah to aarch64-shenandoah-jdk8u322-b06.
	* hotspot.map.in: Bump shenandoah to
	aarch64-shenandoah-jdk8u322-b06.
	* scripts/create_tarballs.sh: Adjust
	arguments to gen_changeset_and_sha256sums.sh
	and print them for debugging.
	* scripts/gen_changeset_and_sha256sums.sh:
	Drop support for default HotSpot build. Drop
	the need for a root URL, instead requiring
	a certain format of download location to
	give the JDK major version.

2022-03-01  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump to icedtea-3.22.0.
	* Makefile.am:
	(OPENJDK_CHANGESET): Update to icedtea-3.22.0 tag.
	(OPENJDK_SHA256SUM): Likewise.
	* NEWS: Updated.
	* acinclude.m4:
	(IT_DETERMINE_VERSION): Set JDK_UPDATE_VERSION
	to 322 and BUILD_VERSION to b06.
	* configure.ac: Bump to 3.22.0.
	* hotspot.map.in: Drop unused 'default' build.
	* scripts/create_tarballs.sh: Replace use of 'tip'
	with 'HEAD' to refer to top changeset in repository.
	* scripts/list_openjdk_changes.sh:
	Import script to create entries for the NEWS file,
	updated to work with git.

2022-02-22  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Switch to using a single OpenJDK tarball
	from git, with an optional HotSpot replacement
	tarball.
	* INSTALL: Remove documentation of
	--with-corba-src-zip, --with-corba-checksum,
	--with-jaxp-src-zip, --with-jaxp-checksum,
	--with-jaxws-src-zip, --with-jaxws-checksum,
	--with-jdk-src-zip, --with-jdk-checksum,
	--with-langtools-src-zip, --with-langtools-checksum,
	--with-nashorn-src-zip and --with-nashorn-checksum,
	* Makefile.am:
	(CORBA_CHANGESET): Removed.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(NASHORN_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(NASHORN_SHA256SUM): Likewise.
	(OPENJDK_CHANGESET): Updated to match icedtea-3.21.0
	tag in git repository.
	(OPENJDK_SHA256SUM): Updated to reflect openjdk-git
	tarball.
	(CORBA_SRC_ZIP): Removed.
	(JAXP_SRC_ZIP): Likewise.
	(JAXWS_SRC_ZIP): Likewise.
	(JDK_SRC_ZIP): Likewise.
	(LANGTOOLS_SRC_ZIP): Likewise.
	(NASHORN_SRC_ZIP): Likewise.
	(OPENJDK_SRC_ZIP): Changed default to
	openjdk-git.$(TAR_SUFFIX)
	(HOTSPOT_SRC_ZIP): Changed default to
	hotspot-git.$(TAR_SUFFIX)
	(CORBA_SHA256SUM_BIN): Removed.
	(CORBA_SUM): Likewise.
	(JAXP_SHA256SUM_BIN): Removed.
	(JAXP_SUM): Likewise.
	(JAXWS_SHA256SUM_BIN): Removed.
	(JAXWS_SUM): Likewise.
	(JDK_SHA256SUM_BIN): Removed.
	(JDK_SUM): Likewise.
	(LANGTOOLS_SHA256SUM_BIN): Removed.
	(LANGTOOLS_SUM): Likewise.
	(NASHORN_SHA256SUM_BIN): Removed.
	(NASHORN_SUM): Likewise.
	(.PHONY): Dropped removed targets.
	(download): Drop dependencies on download-corba,
	download-jaxp, download-jaxws, download-jdk,
	download-langtools and download-nashorn.
	(clean-download): Drop dependencies on
	clean-download-corba, clean-download-jaxp,
	clean-download-jaxws, clean-download-jdk,
	clean-download-langtools and clean-download-nashorn.
	(download-corba): Removed
	(download-jaxp): Likewise.
	(download-jaxws): Likewise.
	(download-jdk): Likewise.
	(download-langtools): Likewise.
	(clean-download-corba): Likewise.
	(clean-download-jaxp): Likewise.
	(clean-download-jaxws): Likewise.
	(clean-download-jdk): Likewise.
	(clean-download-langtools): Likewise.
	(download-nashorn): Likewise.
	(clean-download-nashorn): Likewise.
	(extract): Drop dependencies on extract-corba,
	extract-jaxp, extract-jaxws, extract-jdk,
	extract-langtools and extract-nashorn.
	(clean-extract-openjdk): Drop dependencies on
	clean-extract-jdk, clean-extract-jaxp,
	clean-extract-jaxws, clean-extract-corba,
	clean-extract-langtools and clean-extract-nashorn
	(extract-corba): Removed.
	(clean-extract-corba): Likewise.
	(extract-jaxp): Removed.
	(clean-extract-jaxws): Likewise.
	(extract-jaxws): Removed.
	(clean-extract-jaxws): Likewise.
	(extract-jdk): Removed.
	(clean-extract-jdk): Likewise.
	(extract-langtools): Removed.
	(clean-extract-langtools): Likewise.
	(extract-hotspot): Only handle case where
	the HotSpot tarball is a replacement build
	and not "default".
	(extract-nashorn): Removed.
	(clean-extract-nashorn): Likewise.
	(sanitise-openjdk): Drop dependencies on
	extract-jdk, extract-langtools, extract-corba,
	extract-jaxp, extract-jaxws and extract-nashorn.
	(ADD_ZERO_CONFIGURE_ARGS): Remove corba, jaxp,
	jaxws, jdk and langtools options.
	* acinclude.m4:
	(IT_WITH_CORBA_SRC_ZIP): Removed.
	(IT_WITH_JAXP_SRC_ZIP): Likewise.
	(IT_WITH_JAXWS_SRC_ZIP): Likewise.
	(IT_WITH_JDK_SRC_ZIP): Likewise.
	(IT_WITH_LANGTOOLS_SRC_ZIP): Likewise.
	(IT_WITH_NASHORN_SRC_ZIP): Likewise.
	(IT_ENABLE_CORBA_CHECKSUM): Likewise.
	(IT_ENABLE_JAXP_CHECKSUM): Likewise.
	(IT_ENABLE_JAXWS_CHECKSUM): Likewise.
	(IT_ENABLE_JDK_CHECKSUM): Likewise.
	(IT_ENABLE_LANGTOOLS_CHECKSUM): Likewise.
	(IT_ENABLE_NASHORN_CHECKSUM): Likewise.
	* configure.ac: Don't invoke removed macros.
	* scripts/create_tarballs.sh: Updated to
	create a single openjdk-git or ${HSBUILD}-git
	tarball from Git.
	* scripts/create_tarballs8: Symlink to
	run create_tarballs.sh in IcedTea 8 (3.x) mode.
	* scripts/gen_changeset_and_sha256sums.sh:
	Handle TMPDIR. Refactor to produce a single
	changeset ID and checksum for either the
	OpenJDK tarball or a replacement HotSpot tarball.
	* scripts/gen_changeset_and_sha256sums_8.sh:
	Symlink to run gen_changeset_and_sha256sum.sh
	in IcedTea 8 (3.x) mode.

2022-02-19  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Sync scripts with local copies before transition
	to using git.
	* scripts/create_tarballs.sh:
	Use discover_trees.sh script to find repos and
	create download directory if it doesn't exist.
	* scripts/discover_trees.sh:
	Script to find out OpenJDK subrepos present in
	an OpenJDK root.
	* scripts/gen_changeset_and_sha256sums.sh:
	Delete symlinks prior to creating new ones.
	* scripts/update_tarballs.sh:
	Updated with copyright header and less
	hardcoded values.

2021-10-31  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Prepare for release.
	* NEWS: Set release date to today (2021-10-31).

2021-10-31  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump aarch32 to jdk8u312-b06-aarch32-20210923.
	* Makefile.am:
	(ICEDTEA_PATCHES): Add security patches for
	AArch32 as they are not yet available upstream.
	* hotspot.map.in: Bump aarch32 to
	jdk8u312-b06-aarch32-20210923.
	* patches/hotspot/aarch32/8130183-cpu-202110.patch,
	* patches/hotspot/aarch32/8269624-cpu-202110.patch,
	* patches/hotspot/aarch32/8270398-cpu-202110.patch,
	* patches/hotspot/aarch32/8270404-cpu-202110.patch:
	Add HotSpot patches from 8u312-b07 which are not
	yet in the upstream AArch32 repository.

2021-10-31  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump shenandoah to aarch64-shenandoah-jdk8u312-b07.
	* NEWS: Updated.
	* hotspot.map.in: Bump shenandoah to
	aarch64-shenandoah-jdk8u312-b07.

2021-10-28  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump to icedtea-3.21.0.
	* Makefile.am:
	(CORBA_CHANGESET): Update to icedtea-3.21.0 tag.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(NASHORN_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	(NASHORN_SHA256SUM): Likewise.
	* NEWS: Updated.
	* acinclude.m4:
	(IT_DETERMINE_VERSION): Set JDK_UPDATE_VERSION
	to 312 and BUILD_VERSION to b07.
	* configure.ac: Bump to 3.21.0.
	* hotspot.map.in: Update to icedtea-3.21.0 tag.

2021-07-27  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Prepare for release.
	* NEWS: Set release date to today (2021-07-27).

2021-07-27  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump aarch32 to jdk8u302-ga-aarch32-20210726.
	* hotspot.map.in: Bump aarch32 to
	jdk8u302-ga-aarch32-20210726.
	* patches/hotspot/aarch32/6424123-pr3696.patch,
	* patches/hotspot/aarch32/8152358-pr3800.patch,
	* patches/hotspot/aarch32/pr1368.patch,
	* patches/hotspot/aarch32/pr1748.patch:
	Symlink to Shenandoah versions again.

2021-07-27  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump shenandoah to aarch64-shenandoah-jdk8u302-b08.
	* NEWS: Updated.
	* hotspot.map.in: Bump shenandoah to
	aarch64-shenandoah-jdk8u302-b08.
	* patches/hotspot/aarch32/6424123-pr3696.patch,
	* patches/hotspot/aarch32/8152358-pr3800.patch,
	* patches/hotspot/aarch32/pr1368.patch,
	* patches/hotspot/aarch32/pr1748.patch:
	Replace symlinks to Shenandoah versions with
	copies, so build is not broken by Shenandoah
	versions changing.
	* patches/hotspot/shenandoah/6424123-pr3696.patch:
	Regenerated following JDK-8239400.
	* patches/hotspot/shenandoah/8152358-pr3800.patch:
	Regenerated following JDK-8258669.
	* patches/hotspot/shenandoah/pr1368.patch:
	Regenerated following JDK-8265666.
	* patches/hotspot/shenandoah/pr1748.patch:
	Drop segments upstreamed in JDK-8033289.

2021-07-26  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump to icedtea-3.20.0.
	* Makefile.am:
	(CORBA_CHANGESET): Update to icedtea-3.20.0 tag.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(NASHORN_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	(NASHORN_SHA256SUM): Likewise.
	* NEWS: Updated.
	* acinclude.m4:
	(IT_DETERMINE_VERSION): Set JDK_UPDATE_VERSION
	to 302 and BUILD_VERSION to b08.
	* configure.ac: Bump to 3.20.0.
	* hotspot.map.in: Update to icedtea-3.20.0 tag.

2021-05-13  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Prepare for release.
	* NEWS: Set release date to today (2021-05-13).

2021-05-12  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR3838: Bogus -Wnonnull warning on Zero builds
	* hotspot.map.in: Bump again for additional
	PR3838 case.

2021-05-11  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR3838: Bogus -Wnonnull warning on Zero builds
	PR3839: Make -Wnonnull warnings on ppc64
	non-fatal for now
	* NEWS: Updated.
	* hotspot.map.in: Bumped to include PR3838
	and PR3839.

2021-05-09  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR3837: Include C2 backports to fix null pointer
	issue with GCC 11.
	* NEWS: Updated.
	* hotspot.map.in: Bumped to include PR3837
	fixes.

2021-05-06  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR3836: Extra compiler flags not passed to
	adlc build
	* NEWS: Updated.
	* hotspot.map.in: Bump to include PR3836.

2021-05-03  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Fix merge error.
	* hotspot.map.in: Bump to include merge
	fix.

2021-02-21  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR3835: Populate unique SystemTap suffix
	from configure
	* NEWS: Updated.
	* acinclude.m4:
	(IT_DETERMINE_VERSION): Update JAVA_VER
	to match this version of IcedTea (11).
	Introduce JAVA_SPEC_VER, which is no
	different here, but will be for
	IcedTea <= 3 (OpenJDK <= 8)
	* tapset/hotspot.stp.in,
	* tapset/jstack.stp.in:
	Replace "end11" with "end@JAVA_SPEC_VER@"
	so that the unique suffix is completed
	by configure.

2021-05-01  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump aarch32 to jdk8u292-ga-aarch32-20210423.
	* Makefile.am:
	(ICEDTEA_PATCHES): Apply AArch64 part of
	JDK-8158260/PR2991/RH1341258 to AArch32 port
	builds as well, now AArch64 port is upstream
	and thus part of the AArch32 repository too.
	* hotspot.map.in: Bump aarch32 to
	jdk8u292-ga-aarch32-20210423.
	* patches/hotspot/aarch32/8158260-pr2991-rh1341258-aarch64.patch:
	Symlink to Shenandoah version.

2021-04-28  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump shenandoah to aarch64-shenandoah-jdk8u292-b10.
	* NEWS: Updated.
	* hotspot.map.in: Bump shenandoah to
	aarch64-shenandoah-jdk8u292-b10.

2021-04-26  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump to icedtea-3.19.0.
	PR3822: Update elliptic curve patch to handle
	jdk.disabled.namedCurves (JDK-8233228) & file
	movement (JDK-8035166)
	* Makefile.am:
	(CORBA_CHANGESET): Update to icedtea-3.19.0 tag.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(NASHORN_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	(NASHORN_SHA256SUM): Likewise.
	* NEWS: Updated.
	* acinclude.m4:
	(IT_DETERMINE_VERSION): Set JDK_UPDATE_VERSION
	to 292 and BUILD_VERSION to b10.
	* configure.ac: Bump to 3.19.0.
	* fsg.sh.in: Change PATCH_FILE to
	pr3822-@CURVES@curve.patch
	* hotspot.map.in: Update to icedtea-3.19.0 tag.
	* patches/pr3822-3curve.patch:
	Renamed from pr3799-3curve.patch to apply against
	8u292 and add fix to jdk.disabled.namedCurves in
	java.security* files
	* patches/pr3822-4curve.patch: Likewise, but
	with pr3799-4curve.patch.

2021-04-18  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Start 3.19.0 release cycle.
	* NEWS: Add 3.19.0 section.
	* configure.ac: Bump to 3.19.0pre00.

2021-02-05  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Prepare for release.
	* NEWS: Set release date to today (2021-02-05).

2021-02-04  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR3819: Installation can't handle existing
	tapset symlinks
	* Makefile.am:
	(install-exec-local): Forcibly create symlink.
	* NEWS: Updated.

2021-02-04  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump to icedtea-3.18.0.
	* Makefile.am:
	(CORBA_CHANGESET): Update to icedtea-3.18.0 tag.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(NASHORN_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	(NASHORN_SHA256SUM): Likewise.
	* NEWS: Updated.
	* acinclude.m4:
	(IT_DETERMINE_VERSION): Set JDK_UPDATE_VERSION
	to 282 and BUILD_VERSION to b08.
	* configure.ac: Bump to 3.18.0.
	* hotspot.map.in: Update to icedtea-3.18.0 tag.

2021-02-04  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump aarch32 to jdk8u282-ga-aarch32-20210125.
	* patches/hotspot/aarch32/8062808-pr3548.patch,
	* patches/hotspot/aarch32/8197981-pr3548.patch,
	* patches/hotspot/aarch32/pr1869.patch,
	* patches/hotspot/aarch32/pr3548-aarch32.patch,
	* patches/hotspot/aarch32/pr3601.patch:
	Remove patches included upstream.
	* Makefile.am:
	(ICEDTEA_PATCHES): Remove upstreamed patches.
	* NEWS: Updated.
	* hotspot.map.in: Bump aarch32 to
	jdk8u282-ga-aarch32-20210125.
	* patches/hotspot/aarch32/8143245-pr3548.patch,
	* patches/hotspot/aarch32/pr1748.patch,
	* patches/hotspot/aarch32/werror.patch:
	Switch back to symlinks to Shenandoah versions
	now that both HotSpot builds are based on 8u282-b08/-ga.

2021-02-03  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump shenandoah to aarch64-shenandoah-jdk8u282-b08.
	* patches/hotspot/shenandoah/8062808-pr3548.patch,
	* patches/hotspot/shenandoah/8197981-pr3548.patch,
	* patches/hotspot/shenandoah/pr1869.patch,
	* patches/hotspot/shenandoah/pr3519-return_value-02.patch,
	* patches/hotspot/shenandoah/pr3601.patch:
	Remove patches included upstream.
	* Makefile.am:
	(ICEDTEA_PATCHES): Make PR1869, 8062808/PR3548,
	8197981/PR3548 and PR3601 patches AArch32 only
	as they are now upstream in the new Shenandoah
	bundle. Remove Shenandoah-only PR3519 altogether.
	* NEWS: Updated.
	* hotspot.map.in: Bump shenandoah to
	aarch64-shenandoah-jdk8u282-b08.
	* patches/hotspot/aarch32/8062808-pr3548.patch:
	Replace symlink to Shenandoah version with a
	regenerated version that does not assume PR1748
	is applied first.
	* patches/hotspot/aarch32/8143245-pr3548.patch,
	* patches/hotspot/aarch32/8197981-pr3548.patch:
	Replace symlinks to Shenandoah versions with copies,
	as the Shenandoah versions have been removed.
	* patches/hotspot/aarch32/pr1748.patch:
	Replace symlink to Shenandoah version with a
	regenerated version that applies after JDK-8062808,
	but without JDK-8036122 being applied as in
	the Shenandoah version.
	* patches/hotspot/aarch32/pr1869.patch,
	* patches/hotspot/aarch32/pr3601.patch,
	* patches/hotspot/aarch32/werror.patch:
	Replace symlinks to Shenandoah versions with copies,
	as the Shenandoah versions are either removed or
	modified to apply against 8u282-b08.
	* patches/hotspot/shenandoah/8143245-pr3548.patch:
	Regenerated against new context in cppInterpreter_zero.cpp
	due to JDK-8254166.
	* patches/hotspot/shenandoah/pr1748.patch:
	Regenerated against new context in linux/makefiles/gcc.make
	due to JDK-8062808 being upstreamed.
	* patches/hotspot/shenandoah/werror.patch:
	Regenerated against new context in solaris/makefiles/gcc.make
	due to JDK-8036122.

2021-01-19  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Start 3.18.0 release cycle.
	* NEWS: Add 3.18.0 section.
	* configure.ac: Bump to 3.18.0pre00.

2020-11-26  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Prepare for release.
	* NEWS: Set release date to today (2020-11-26).

2020-11-23  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump aarch32 to jdk8u275-ga-aarch32-20201109.
	* hotspot.map.in: Bump aarch32 to
	jdk8u275-ga-aarch32-20201109.

2020-11-17  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump shenandoah to aarch64-shenandoah-jdk8u275-b01.
	* Makefile.am:
	(ICEDTEA_PATCHES): Add new patches for fixing PR3815
	issues in both the core HotSpot code (same as in
	IcedTea) and Shenandoah code.
	* hotspot.map.in: Bump shenandoah to
	aarch64-shenandoah-jdk8u275-b01.
	* patches/hotspot/aarch32/8222286-pr3815-s390.patch:
	Add copy of PR3815 for the alternate AArch32 HotSpot build.
	* patches/hotspot/shenandoah/8222286-pr3727-s390-shenandoah.patch:
	Amend to use log2_intptr and an int cast, rather than log2_long,
	as with other log2_intptr fixes.
	* patches/hotspot/shenandoah/8222286-pr3815-s390-shenandoah.patch:
	Addition to PR3815 for the Shenandoah HotSpot build only.
	* patches/hotspot/shenandoah/8222286-pr3815-s390.patch,
	Add copy of PR3815 for the alternate Shenandoah HotSpot build.

2020-11-14  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump to icedtea-3.17.1.
	* Makefile.am:
	(CORBA_CHANGESET): Update to icedtea-3.17.1 tag.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(NASHORN_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	(NASHORN_SHA256SUM): Likewise.
	* NEWS: Updated.
	* acinclude.m4:
	(IT_DETERMINE_VERSION): Set JDK_UPDATE_VERSION
	to 275 and BUILD_VERSION to b01.
	* configure.ac: Bump to 3.17.1.
	* hotspot.map.in: Update to icedtea-3.17.1 tag.

2020-10-27  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Prepare for release.
	* NEWS: Set release date to today (2020-10-27).

2020-10-27  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR3811: Don't attempt to install JFR files when
	JFR is disabled
	* Makefile.am,
	(install-data-local): Create jre/lib/jfr directory
	and copy over *.jfc files only if USE_JFR is set.
	(uninstall-local): Only attempt to remove the
	jre/lib/jfr directory if it exists.
	* NEWS: Updated.

2020-10-27  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR3810: Enable JFR on x86 (32-bit) now that
	JDK-8252096 has fixed its use with Shenandoah
	* NEWS: Updated.
	* acinclude.m4:
	(IT_ARCH_HAS_JFR): Allow JFR on i?86.

2020-10-27  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump to icedtea-3.17.0.
	PR3799: Adapt elliptic curve patches to JDK-8245468:
	Add TLSv1.3 implementation classes from 11.0.7
	* Makefile.am:
	(CORBA_CHANGESET): Update to icedtea-3.17.0 tag.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(NASHORN_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	(NASHORN_SHA256SUM): Likewise.
	* NEWS: Updated.
	* acinclude.m4:
	(IT_DETERMINE_VERSION): Set BUILD_VERSION to b10
	and MILESTONE to fcs.
	* configure.ac: Bump to 3.17.0.
	* fsg.sh.in: Change PATCH_FILE to match the
	current curve patch.
	* hotspot.map.in: Update to icedtea-3.17.0 tag.
	* patches/pr3799-3curve.patch: Renamed
	from pr3795-3curve.patch and adapted to changes
	in TesetEC.java and ClientJSSEServerJSSE.java, along
	with moving EllipticCurvesExtension.java changes to
	their new home in SupportedGroupsExtension.java
	* patches/pr3799-4curve.patch: Renamed
	from pr3795-4curve.patch and adapted to changes
	in TesetEC.java and ClientJSSEServerJSSE.java, along
	with moving EllipticCurvesExtension.java changes to
	their new home in SupportedGroupsExtension.java

2020-10-26  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR3808: IcedTea does not install the JFR *.jfc files
	* Makefile.am:
	(install-data-local): Create jre/lib/jfr directory
	and copy over *.jfc files.
	(uninstall-local): Remove JFR *.jfc files and
	jre/lib/jfr directory on uninstall.
	* NEWS: Updated.

2020-10-26  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump aarch32 to jdk8u272-ga-aarch32-20201026.
	* patches/hotspot/aarch32/8251120-pr3793.patch:
	Removed as applied upstream.
	* Makefile.am:
	(ICEDTEA_PATCHES): Remove JDK-8251120/PR3793
	altogether now it is in both aarch32 and
	shenandoah upstream bundles.
	* NEWS: Updated.
	* hotspot.map.in: Bump aarch32 to
	jdk8u272-ga-aarch32-20201026.
	* patches/hotspot/aarch32/8062808-pr3548.patch,
	* patches/hotspot/aarch32/pr3593.patch:
	Switch back to symlinks now they can share a version with
	Shenandoah again.

2020-10-25  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump shenandoah to aarch64-shenandoah-jdk8u272-b10.
	* patches/hotspot/shenandoah/8251120-pr3793.patch:
	Removed as applied upstream.
	* Makefile.am:
	(ICEDTEA_PATCHES): Only apply JDK-8251120/PR3793
	on AArch32 builds as it is included upstream in
	Shenandoah now.
	* NEWS: Updated.
	* hotspot.map.in: Bump shenandoah to
	aarch64-shenandoah-jdk8u272-b10.
	* patches/hotspot/aarch32/8062808-pr3548.patch,
	* patches/hotspot/aarch32/8251120-pr3793.patch,
	* patches/hotspot/aarch32/pr3593.patch:
	Take copies of the Shenandoah patches, so they can
	be changed without breaking AArch32 builds.
	* patches/hotspot/shenandoah/8062808-pr3548.patch:
	Adjusted following constantPool.hpp context change
	in JDK-8243302.
	* patches/hotspot/shenandoah/pr3593.patch,
	Adjust PR3593 following g1StringDedupTable.cpp
	context change in JDK-8240124 & JDK-8244955.

2020-10-19  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR3795: ECDSAUtils for XML digital signatures
	should support the same curve set as the rest
